Package de.gebit.integrity.formatting

## Class DSLFormatter

- java.lang.Object
- - org.eclipse.xtext.formatting.impl.AbstractFormatter
  - - org.eclipse.xtext.formatting.impl.BaseFormatter
    - - org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
      - - de.gebit.integrity.formatting.DSLFormatter

- All Implemented Interfaces:
    `org.eclipse.xtext.formatting.IFormatter`, `org.eclipse.xtext.formatting.IFormatterExtension`

      public class DSLFormatter
      extends org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

  This class contains custom formatting description. see : http://www.eclipse.org/Xtext/documentation/latest/xtext.html#formatting on how and when to use it Also see `org.eclipse.xtext.xtext.XtextFormattingTokenSerializer` as an example
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `DSLFormatter.TableTestFormatterTokenStream` | This token stream is basically a filter that sits between the streams, catches tables and formats them before they're forwarded.

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

      `org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter.ConfigStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.formatting.impl.BaseFormatter

      `grammar`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLFormatter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `configureFormatting​(org.eclipse.xtext.formatting.impl.FormattingConfig aConfig)` |
    `org.eclipse.xtext.parsetree.reconstr.ITokenStream` | `createFormatterStream​(String anIndent, org.eclipse.xtext.parsetree.reconstr.ITokenStream anOut, boolean aPreserveWhitespaces)` |
    `org.eclipse.xtext.parsetree.reconstr.ITokenStream` | `createFormatterStream​(org.eclipse.emf.ecore.EObject aContext, String anIndent, org.eclipse.xtext.parsetree.reconstr.ITokenStream anOut, boolean aPreserveWhitespaces)` |

    - ### Methods inherited from class org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

      `createFormattingConfig, createMatcher, getConfig, getGrammarAccess, getHiddenTokenHelper, getIndentInfo, getLineSeparatorInfo, getMatcherProvider, saveDebugGraphvizDiagram, setGrammarAccess`

    - ### Methods inherited from class org.eclipse.xtext.formatting.impl.BaseFormatter

      `getWSRule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLFormatter

          public DSLFormatter()

  - ### Method Detail

    - #### configureFormatting

          protected void configureFormatting​(org.eclipse.xtext.formatting.impl.FormattingConfig aConfig)

      Specified by:
        `configureFormatting` in class `org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter`

    - #### createFormatterStream

          public org.eclipse.xtext.parsetree.reconstr.ITokenStream createFormatterStream​(org.eclipse.emf.ecore.EObject aContext,
                                                                                         String anIndent,
                                                                                         org.eclipse.xtext.parsetree.reconstr.ITokenStream anOut,
                                                                                         boolean aPreserveWhitespaces)

      Specified by:
        `createFormatterStream` in interface `org.eclipse.xtext.formatting.IFormatterExtension`
      Overrides:
        `createFormatterStream` in class `org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter`

    - #### createFormatterStream

          public org.eclipse.xtext.parsetree.reconstr.ITokenStream createFormatterStream​(String anIndent,
                                                                                         org.eclipse.xtext.parsetree.reconstr.ITokenStream anOut,
                                                                                         boolean aPreserveWhitespaces)

      Specified by:
        `createFormatterStream` in interface `org.eclipse.xtext.formatting.IFormatter`
      Overrides:
        `createFormatterStream` in class `org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter`